org.hibernate.search.elasticsearch.analyzer.definition.impl

## Class ElasticsearchCharFilterDefinitionContextImpl

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchAnalysisComponentDefinitionContextImpl<CharFilterDefinition>
  - - org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchCharFilterDefinitionContextImpl

- All Implemented Interfaces:
    ElasticsearchAnalysisComponentDefinitionContext, ElasticsearchTypedAnalysisComponentDefinitionContext, ElasticsearchAnalysisDefinitionRegistryPopulator

      public class ElasticsearchCharFilterDefinitionContextImpl
      extends ElasticsearchAnalysisComponentDefinitionContextImpl<CharFilterDefinition>

  Author:
    Yoann Rodiere

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchAnalysisComponentDefinitionContextImpl

      `definition, LOG, name`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ElasticsearchCharFilterDefinitionContextImpl(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `populate(ElasticsearchAnalysisDefinitionRegistry registry)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchAnalysisComponentDefinitionContextImpl

      `param, param, param, param, param, param, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticsearchCharFilterDefinitionContextImpl

          protected ElasticsearchCharFilterDefinitionContextImpl(String name)

  - ### Method Detail

    - #### populate

          public void populate(ElasticsearchAnalysisDefinitionRegistry registry)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved